<?php
require_once("dbException.php");

/**
 * @package exception
 * @license http://www.opensource.org/licenses/mit-license.php MIT License
 * @link http://jharo.net
 * @author Juan Haro <juanharo@gmail.com>
 */

class fieldException extends dbException{
    
    private $field;
    
    function __construct($msg, field $field) {
        $this->message = $msg;
        $this->field = $field;
    }
    
    function getMsg(){
        return "Error en la validación del campo '{$this->field->getName()}'. ".$this->getMessage();
    }
}

?>