<?php
include("../objoo.php");

/**
 * @package test
 * @license http://www.opensource.org/licenses/mit-license.php MIT License
 * @link http://jharo.net
 * @author Juan Haro <juanharo@gmail.com>
 * 
 */

try{
//Abre una conexión con la base de datos.
sql::getInstance("localhost", "dbuser", "","dbname");

//Selecciona la tabla 'nueva_tabla'.
$table = dbTable::get("nueva_tabla");

//Selecciona los usuarios con email 'contacto@*'
$usuarios = $table->selectAll(array(
    "where"=>array(
        "email"=>"LIKE contacto@%"
    )
));

//Recorre los registros seleccionados y muestra el valor de sus campos.
foreach(array($usuarios) as $id=>$row){
    echo $id;
    echo $row->nombre;
    echo $row->email;
    echo "</br>";
}

}catch(queryException $e){
    print $e->getMsg();
}
?>
